No se puede generar el APK firmado

Tengo que crear una aplicación usando el estudio de android y necesito generar Apk firmado, pero cuando genero el Apk firmado, se mostrará una advertencia y error de compilation, por favor, ayúdenme a resolver este problema aquí está mi file de logging de errores

Information:Gradle tasks [:app:assembleRelease] Information:0 errors Information:0 warnings Information:See complete output in console Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$layout Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$id Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$menu Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$id Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$layout Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$id Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R$menu Warning:com.kosalgeek.android.photoutil.MainActivity: can't find referenced class com.kosalgeek.android.photoutil.R Warning:there were 9 unresolved references to classes or interfaces. Warning:Exception while processing task java.io.IOException: Please correct the above warnings first. Error:Execution failed for task ':app:transformClassesAndResourcesWithProguardForRelease'. > java.io.IOException: Please correct the above warnings first. Information:BUILD FAILED Information:Total time: 1 mins 31.858 secs 

Tengo el file photoutil.jar en mi carpeta libs, pero de nuevo obtengo el mismo error, por favor ayúdenme a resolver el problema. Gracias de antemano, aquí está mi gradle

 apply plugin: 'com.android.application' android { compileSdkVersion 24 buildToolsVersion "24.0.3" defaultConfig { applicationId "com.example.jijoabraham.informe" minSdkVersion 15 targetSdkVersion 24 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" multiDexEnabled true } buildTypes { release { minifyEnabled true proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } repositories { maven { url "http://dl.bintray.com/lukaville/maven" } maven { url "https://jitpack.io" } } } configurations{ all*.exclude group: 'com.mcxiaoke.volley' } dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile files('libs/PhotoUtil.jar') compile 'com.android.support:multidex:1.0.1' compile 'com.android.support:cardview-v7:24.2.1' compile 'com.android.support:recyclerview-v7:24.2.1' compile 'com.android.support:palette-v7:24.2.1' compile 'com.android.support:support-v4:24.2.1' compile 'com.mcxiaoke.volley:library-aar:1.0.0' compile 'com.android.support:appcompat-v7:24.2.1' compile 'com.android.support:design:24.2.1' compile 'com.oguzdev:CircularFloatingActionMenu:1.0.2' compile 'com.yqritc:recyclerview-flexibledivider:1.2.4' compile 'com.squareup.okhttp3:okhttp:3.3.1' compile 'com.nbsp:library:1.09' compile 'com.github.PhilJay:MPAndroidChart:v2.0.9' compile 'com.google.firebase:firebase-database:9.6.1' compile 'com.google.firebase:firebase-core:9.6.1' compile 'com.pkmmte.view:circularimageview:1.1' testCompile 'junit:junit:4.12' } apply plugin: 'com.google.gms.google-services' 

por favor ayúdame a resolver este problema gracias de antemano

En tu gradle agrega esto.

 android { packagingOptions { exclude 'META-INF/DEPENDENCIES.txt' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/maven/pom.properties' exclude 'META-INF/NOTICE.txt' exclude 'META-INF/NOTICE' exclude 'META-INF/LICENSE' exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/notice.txt' exclude 'META-INF/license.txt' exclude 'META-INF/dependencies.txt' exclude 'META-INF/LGPL2.1' } } 

En proguard-rules.pro agregar

 -dontwarn com.kosalgeek.android.photoutil.** 

Y establecer verdadero para minifyEnabled true Puede ser que esto ayude.

Como puedo ver, has habilitado proguard en tu compilation de lanzamiento, por lo que es muy común recibir advertencias con pruguard.

En su caso, están relacionados con la lib com.kosalgeek.android.photoutil. Creo que deberías usar -dontwarn como Devendra sugirió anteriormente.

Si esto no funciona, probablemente debería encontrar las reglas de defensa correctas para su biblioteca.